<?php

if ( class_exists("Kirki")){

	// LOGO

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'laundry_dry_cleaning_logo_resizer',
		'label'       => esc_html__( 'Adjust Your Logo Size ', 'laundry-dry-cleaning' ),
		'section'     => 'title_tagline',
		'default'     => 70,
		'choices'     => [
			'min'  => 10,
			'max'  => 300,
			'step' => 10,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'laundry_dry_cleaning_enable_logo_text',
		'section'     => 'title_tagline',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Site Title and Tagline', 'laundry-dry-cleaning' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'laundry_dry_cleaning_display_header_title',
		'label'       => esc_html__( 'Site Title Enable / Disable Button', 'laundry-dry-cleaning' ),
		'section'     => 'title_tagline',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'laundry-dry-cleaning' ),
			'off' => esc_html__( 'Disable', 'laundry-dry-cleaning' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'laundry_dry_cleaning_display_header_text',
		'label'       => esc_html__( 'Tagline Enable / Disable Button', 'laundry-dry-cleaning' ),
		'section'     => 'title_tagline',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'laundry-dry-cleaning' ),
			'off' => esc_html__( 'Disable', 'laundry-dry-cleaning' ),
		],
	] );

	// FONT STYLE TYPOGRAPHY

		Kirki::add_panel( 'laundry_dry_cleaning_panel_id', array(
			'priority'    => 10,
			'title'       => esc_html__( 'Typography', 'laundry-dry-cleaning' ),
		) );

		Kirki::add_section( 'laundry_dry_cleaning_font_style_section', array(
		'title'      => esc_attr__( 'Typography Option',  'laundry-dry-cleaning' ),
		'priority'   => 2,
		'capability' => 'edit_theme_options',
		) );

		Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'laundry_dry_cleaning_all_headings_typography',
		'section'     => 'laundry_dry_cleaning_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Heading Of All Sections',  'laundry-dry-cleaning' ) . '</h3>',
		'priority'    => 10,
		] );

		Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'laundry_dry_cleaning_all_headings_typography',
		'label'       => esc_attr__( 'Heading Typography',  'laundry-dry-cleaning' ),
		'description' => esc_attr__( 'Select the typography options for your heading.',  'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'h1','h2','h3','h4','h5','h6', ),
			),
		),
		) );

		Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'laundry_dry_cleaning_body_content_typography',
		'section'     => 'laundry_dry_cleaning_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Body Content',  'laundry-dry-cleaning' ) . '</h3>',
		'priority'    => 10,
		] );

		Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'laundry_dry_cleaning_body_content_typography',
		'label'       => esc_attr__( 'Content Typography',  'laundry-dry-cleaning' ),
		'description' => esc_attr__( 'Select the typography options for your content.',  'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'body', ),
			),
		),
		) );

	// PANEL

	Kirki::add_panel( 'laundry_dry_cleaning_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Theme Options', 'laundry-dry-cleaning' ),
	) );

	// Additional Settings

	Kirki::add_section( 'laundry_dry_cleaning_section_addtional_settings', array(
	    'title'          => esc_html__( 'Additional Settings', 'laundry-dry-cleaning' ),
	    'description'    => esc_html__( 'Scroll To Top', 'laundry-dry-cleaning' ),
	    'panel'          => 'laundry_dry_cleaning_panel_id',
	    'priority'       => 10,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'laundry_dry_cleaning_scroll_enable_setting',
		'label'       => esc_html__( 'Here you can enable or disable your scroller.', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_section_addtional_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	new \Kirki\Field\Radio_Buttonset(
	[
		'settings'    => 'laundry_dry_cleaning_scroll_top_position',
		'label'       => esc_html__( 'Alignment for Scroll To Top', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_section_addtional_settings',
		'default'     => 'Right',
		'priority'    => 10,
		'choices'     => [
			'Left'   => esc_html__( 'Left', 'laundry-dry-cleaning' ),
			'Center' => esc_html__( 'Center', 'laundry-dry-cleaning' ),
			'Right'  => esc_html__( 'Right', 'laundry-dry-cleaning' ),
		],
	]
	);

	new \Kirki\Field\Select(
	[
		'settings'    => 'menu_text_transform_laundry_dry_cleaning',
		'label'       => esc_html__( 'Menus Text Transform', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_section_addtional_settings',
		'default'     => 'CAPITALISE',
		'placeholder' => esc_html__( 'Choose an option', 'laundry-dry-cleaning' ),
		'choices'     => [
			'CAPITALISE' => esc_html__( 'CAPITALISE', 'laundry-dry-cleaning' ),
			'UPPERCASE' => esc_html__( 'UPPERCASE', 'laundry-dry-cleaning' ),
			'LOWERCASE' => esc_html__( 'LOWERCASE', 'laundry-dry-cleaning' ),

		],
	]
	);

	new \Kirki\Field\Select(
	[
		'settings'    => 'laundry_dry_cleaning_menu_zoom',
		'label'       => esc_html__( 'Menu Transition', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_additional_settings',
		'default' => 'None',
		'placeholder' => esc_html__( 'Choose an option', 'laundry-dry-cleaning' ),
		'choices'     => [
			'None' => __('None','laundry-dry-cleaning'),
            'Zoominn' => __('Zoom Inn','laundry-dry-cleaning'),
            
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'laundry_dry_cleaning_container_width',
		'label'       => esc_html__( 'Theme Container Width', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_section_addtional_settings',
		'default'     => 100,
		'choices'     => [
			'min'  => 50,
			'max'  => 100,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'laundry_dry_cleaning_sticky_header',
		'label'       => esc_html__( 'Here you can enable or disable your Sticky Header.', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_section_addtional_settings',
		'default'     => false,
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'laundry_dry_cleaning_site_loader',
		'label'       => esc_html__( 'Here you can enable or disable your Site Loader.', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_section_addtional_settings',
		'default'     => false,
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'laundry_dry_cleaning_page_layout',
		'label'       => esc_html__( 'Page Layout Setting', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_section_addtional_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'laundry-dry-cleaning' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','laundry-dry-cleaning'),
            'Right Sidebar' => __('Right Sidebar','laundry-dry-cleaning'),
            'One Column' => __('One Column','laundry-dry-cleaning')
		],
	] );

	if ( class_exists("woocommerce")){


	// Woocommerce Settings

	Kirki::add_section( 'laundry_dry_cleaning_woocommerce_settings', array(
			'title'          => esc_html__( 'Woocommerce Settings', 'laundry-dry-cleaning' ),
			'description'    => esc_html__( 'Shop Page', 'laundry-dry-cleaning' ),
			'panel'          => 'laundry_dry_cleaning_panel_id',
			'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'laundry_dry_cleaning_shop_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable shop page sidebar.', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'laundry_dry_cleaning_product_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable product page sidebar.', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'laundry_dry_cleaning_related_product_setting',
		'label'       => esc_html__( 'Here you can enable or disable your related products.', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_woocommerce_settings',
		'default'     => true,
		'priority'    => 10,
	] );

	new \Kirki\Field\Number(
	[
		'settings' => 'laundry_dry_cleaning_per_columns',
		'label'    => esc_html__( 'Product Per Row', 'laundry-dry-cleaning' ),
		'section'  => 'laundry_dry_cleaning_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 4,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'laundry_dry_cleaning_product_per_page',
		'label'    => esc_html__( 'Product Per Page', 'laundry-dry-cleaning' ),
		'section'  => 'laundry_dry_cleaning_woocommerce_settings',
		'default'  => 9,
		'choices'  => [
			'min'  => 1,
			'max'  => 15,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'custom_related_products_number_per_row',
		'label'    => esc_html__( 'Related Product Per Column', 'laundry-dry-cleaning' ),
		'section'  => 'laundry_dry_cleaning_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 4,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'custom_related_products_number',
		'label'    => esc_html__( 'Related Product Per Page', 'laundry-dry-cleaning' ),
		'section'  => 'laundry_dry_cleaning_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 10,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Select(
	[
		'settings'    => 'laundry_dry_cleaning_shop_page_layout',
		'label'       => esc_html__( 'Shop Page Layout Setting', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'laundry-dry-cleaning' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','laundry-dry-cleaning'),
            'Right Sidebar' => __('Right Sidebar','laundry-dry-cleaning')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'laundry_dry_cleaning_product_page_layout',
		'label'       => esc_html__( 'Product Page Layout Setting', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'laundry-dry-cleaning' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','laundry-dry-cleaning'),
            'Right Sidebar' => __('Right Sidebar','laundry-dry-cleaning')
		],
	] );

	new \Kirki\Field\Radio_Buttonset(
	[
		'settings'    => 'laundry_dry_cleaning_woocommerce_pagination_position',
		'label'       => esc_html__( 'Woocommerce Pagination Alignment', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_woocommerce_settings',
		'default'     => 'Center',
		'priority'    => 10,
		'choices'     => [
			'Left'   => esc_html__( 'Left', 'laundry-dry-cleaning' ),
			'Center' => esc_html__( 'Center', 'laundry-dry-cleaning' ),
			'Right'  => esc_html__( 'Right', 'laundry-dry-cleaning' ),
		],
	]
	);

}

	// POST SECTION

	Kirki::add_section( 'laundry_dry_cleaning_section_post', array(
	    'title'          => esc_html__( 'Post Settings', 'laundry-dry-cleaning' ),
	    'description'    => esc_html__( 'Here you can get different post settings', 'laundry-dry-cleaning' ),
	    'panel'          => 'laundry_dry_cleaning_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'laundry_dry_cleaning_enable_post_heading',
		'section'     => 'laundry_dry_cleaning_section_post',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Post Settings.', 'laundry-dry-cleaning' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'laundry_dry_cleaning_blog_admin_enable',
		'label'       => esc_html__( 'Post Author Enable / Disable Button', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_section_post',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'laundry-dry-cleaning' ),
			'off' => esc_html__( 'Disable', 'laundry-dry-cleaning' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'laundry_dry_cleaning_blog_comment_enable',
		'label'       => esc_html__( 'Post Comment Enable / Disable Button', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_section_post',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'laundry-dry-cleaning' ),
			'off' => esc_html__( 'Disable', 'laundry-dry-cleaning' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'laundry_dry_cleaning_post_excerpt_number',
		'label'       => esc_html__( 'Post Content Range', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_section_post',
		'default'     => 15,
		'choices'     => [
			'min'  => 0,
			'max'  => 50,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'laundry_dry_cleaning_pagination_setting',
		'label'       => esc_html__( 'Here you can enable or disable your Pagination.', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_section_post',
		'default'     => true,
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'laundry_dry_cleaning_archive_sidebar_layout',
		'label'       => esc_html__( 'Archive Post Sidebar Layout Setting', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'laundry-dry-cleaning' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','laundry-dry-cleaning'),
            'Right Sidebar' => __('Right Sidebar','laundry-dry-cleaning')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'laundry_dry_cleaning_single_post_sidebar_layout',
		'label'       => esc_html__( 'Single Post Sidebar Layout Setting', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'laundry-dry-cleaning' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','laundry-dry-cleaning'),
            'Right Sidebar' => __('Right Sidebar','laundry-dry-cleaning')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'laundry_dry_cleaning_search_sidebar_layout',
		'label'       => esc_html__( 'Search Page Sidebar Layout Setting', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'laundry-dry-cleaning' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','laundry-dry-cleaning'),
            'Right Sidebar' => __('Right Sidebar','laundry-dry-cleaning')
		],
	] );

	Kirki::add_field( 'laundry_dry_cleaning_config', [
		'type'        => 'select',
		'settings'    => 'laundry_dry_cleaning_post_column_count',
		'label'       => esc_html__( 'Grid Column for Archive Page', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_section_post',
		'default'    => '2',
		'choices' => [
				'1' => __( '1 Column', 'laundry-dry-cleaning' ),
				'2' => __( '2 Column', 'laundry-dry-cleaning' ),
				'3' => __( '3 Column', 'laundry-dry-cleaning' ),
				'4' => __( '4 Column', 'laundry-dry-cleaning' ),
			],
	] );

		// Breadcrumb
	Kirki::add_section( 'laundry_dry_cleaning_bradcrumb', array(
	    'title'          => esc_html__( 'Breadcrumb Settings', 'laundry-dry-cleaning' ),
	    'description'    => esc_html__( 'Here you can get Breadcrumb settings', 'laundry-dry-cleaning' ),
	    'panel'          => 'laundry_dry_cleaning_panel_id',
	    'priority'       => 160,
	) );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'laundry_dry_cleaning_enable_breadcrumb_heading',
		'section'     => 'laundry_dry_cleaning_bradcrumb',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Single Page Breadcrumb', 'laundry-dry-cleaning' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'laundry_dry_cleaning_breadcrumb_enable',
		'label'       => esc_html__( 'Breadcrumb Enable / Disable', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_bradcrumb',
		'default'     => true,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'laundry-dry-cleaning' ),
			'off' => esc_html__( 'Disable', 'laundry-dry-cleaning' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
        'type'     => 'text',
        'default'     => '/',
        'settings' => 'laundry_dry_cleaning_breadcrumb_separator' ,
        'label'    => esc_html__( 'Breadcrumb Separator',  'laundry-dry-cleaning' ),
        'section'  => 'laundry_dry_cleaning_bradcrumb',
    ] );

	// HEADER SECTION

	Kirki::add_section( 'laundry_dry_cleaning_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'laundry-dry-cleaning' ),
	    'description'    => esc_html__( 'Here you can add header information.', 'laundry-dry-cleaning' ),
	    'panel'          => 'laundry_dry_cleaning_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'laundry_dry_cleaning_enable_location_heading',
		'section'     => 'laundry_dry_cleaning_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Location', 'laundry-dry-cleaning' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'laundry_dry_cleaning_header_location',
		'section'  => 'laundry_dry_cleaning_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'laundry_dry_cleaning_enable_timing_heading',
		'section'     => 'laundry_dry_cleaning_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Timing', 'laundry-dry-cleaning' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'laundry_dry_cleaning_header_timing',
		'section'  => 'laundry_dry_cleaning_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'laundry_dry_cleaning_enable_email_heading',
		'section'     => 'laundry_dry_cleaning_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Email Address', 'laundry-dry-cleaning' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'laundry_dry_cleaning_header_email',
		'section'  => 'laundry_dry_cleaning_section_header',
		'default'  => '',
		'sanitize_callback' => 'sanitize_email',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'laundry_dry_cleaning_header_phone_number_heading',
		'section'     => 'laundry_dry_cleaning_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Phone Number', 'laundry-dry-cleaning' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'laundry_dry_cleaning_header_phone_number_text',
		'section'  => 'laundry_dry_cleaning_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'laundry_dry_cleaning_header_phone_number',
		'section'  => 'laundry_dry_cleaning_section_header',
		'default'  => '',
		'sanitize_callback' => 'laundry_dry_cleaning_sanitize_phone_number',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'laundry_dry_cleaning_enable_socail_link',
		'section'     => 'laundry_dry_cleaning_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Social Media Link', 'laundry-dry-cleaning' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'repeater',
		'section'     => 'laundry_dry_cleaning_section_header',
		'row_label' => [
			'type'  => 'field',
			'value' => esc_html__( 'Social Icon', 'laundry-dry-cleaning' ),
			'field' => 'link_text',
		],
		'button_label' => esc_html__('Add New Social Icon', 'laundry-dry-cleaning' ),
		'settings'     => 'laundry_dry_cleaning_social_links_settings',
		'default'      => '',
		'fields' 	   => [
			'link_text' => [
				'type'        => 'text',
				'label'       => esc_html__( 'Icon', 'laundry-dry-cleaning' ),
				'description' => esc_html__( 'Add the fontawesome class ex: "fab fa-facebook-f".', 'laundry-dry-cleaning' ),
				'default'     => '',
			],
			'link_url' => [
				'type'        => 'url',
				'label'       => esc_html__( 'Social Link', 'laundry-dry-cleaning' ),
				'description' => esc_html__( 'Add the social icon url here.', 'laundry-dry-cleaning' ),
				'default'     => '',
			],
		],
		'choices' => [
			'limit' => 5
		],
	] );

	// SLIDER SECTION

	Kirki::add_section( 'laundry_dry_cleaning_blog_slide_section', array(
        'title'          => esc_html__( 'Slider Settings', 'laundry-dry-cleaning' ),
        'description'    => esc_html__( 'You have to select post category to show slider.', 'laundry-dry-cleaning' ),
        'panel'          => 'laundry_dry_cleaning_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'laundry_dry_cleaning_enable_heading',
		'section'     => 'laundry_dry_cleaning_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Slider', 'laundry-dry-cleaning' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'laundry_dry_cleaning_blog_box_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_blog_slide_section',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'laundry-dry-cleaning' ),
			'off' => esc_html__( 'Disable', 'laundry-dry-cleaning' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'laundry_dry_cleaning_title_unable_disable',
		'label'       => esc_html__( 'Slide Title Enable / Disable', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_blog_slide_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'laundry-dry-cleaning' ),
			'off' => esc_html__( 'Disable', 'laundry-dry-cleaning' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'laundry_dry_cleaning_button_unable_disable',
		'label'       => esc_html__( 'Slide Button Enable / Disable', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_blog_slide_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'laundry-dry-cleaning' ),
			'off' => esc_html__( 'Disable', 'laundry-dry-cleaning' ),
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'laundry_dry_cleaning_slider_heading',
		'section'     => 'laundry_dry_cleaning_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider', 'laundry-dry-cleaning' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'       => esc_html__( 'Extra Heading', 'laundry-dry-cleaning' ),
		'settings' => 'laundry_dry_cleaning_slider_extra_heading',
		'section'  => 'laundry_dry_cleaning_blog_slide_section',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'laundry_dry_cleaning_blog_slide_number',
		'label'       => esc_html__( 'Number of slides to show', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_blog_slide_section',
		'default'     => 0,
		'choices'     => [
			'min'  => 1,
			'max'  => 5,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'laundry_dry_cleaning_blog_slide_category',
		'label'       => esc_html__( 'Select the category to show slider ( Image Dimension 1600 x 600 )', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_blog_slide_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'laundry-dry-cleaning' ),
		'priority'    => 10,
		'choices'     => laundry_dry_cleaning_get_categories_select(),
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'laundry_dry_cleaning_slider_content_alignment',
		'label'       => esc_html__( 'Slider Content Alignment', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_blog_slide_section',
		'default'     => 'CENTER-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'laundry-dry-cleaning' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'laundry-dry-cleaning' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'laundry-dry-cleaning' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'laundry-dry-cleaning' ),

		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'laundry_dry_cleaning_slider_opacity_color',
		'label'       => esc_html__( 'Slider Opacity Option', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_blog_slide_section',
		'default'     => '0.6',
		'placeholder' => esc_html__( 'Choose an option', 'laundry-dry-cleaning' ),
		'choices'     => [
			'0' => esc_html__( '0', 'laundry-dry-cleaning' ),
			'0.1' => esc_html__( '0.1', 'laundry-dry-cleaning' ),
			'0.2' => esc_html__( '0.2', 'laundry-dry-cleaning' ),
			'0.3' => esc_html__( '0.3', 'laundry-dry-cleaning' ),
			'0.4' => esc_html__( '0.4', 'laundry-dry-cleaning' ),
			'0.5' => esc_html__( '0.5', 'laundry-dry-cleaning' ),
			'0.6' => esc_html__( '0.6', 'laundry-dry-cleaning' ),
			'0.7' => esc_html__( '0.7', 'laundry-dry-cleaning' ),
			'0.8' => esc_html__( '0.8', 'laundry-dry-cleaning' ),
			'0.9' => esc_html__( '0.9', 'laundry-dry-cleaning' ),
			'1.0' => esc_html__( '1.0', 'laundry-dry-cleaning' ),
			

		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'laundry_dry_cleaning_overlay_option',
		'label'       => esc_html__( 'Enable / Disable Slider Overlay', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_blog_slide_section',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'laundry-dry-cleaning' ),
			'off' => esc_html__( 'Disable', 'laundry-dry-cleaning' ),
		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'laundry_dry_cleaning_slider_image_overlay_color',
		'label'       => __( 'choose your Appropriate Overlay Color', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_blog_slide_section',
		'default'     => '',
	] );

	// OUR services SECTION

	Kirki::add_section( 'laundry_dry_cleaning_services_section', array(
	    'title'          => esc_html__( 'Our Services Settings', 'laundry-dry-cleaning' ),
	    'description'    => esc_html__( 'Here you can add different type of services.', 'laundry-dry-cleaning' ),
	    'panel'          => 'laundry_dry_cleaning_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'laundry_dry_cleaning_enable_heading',
		'section'     => 'laundry_dry_cleaning_services_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Our Services',  'laundry-dry-cleaning' ) . '</h3>',
		'priority'    => 1,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'laundry_dry_cleaning_services_section_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_services_section',
		'default'     => false,
		'priority'    => 2,
		'choices'     => [
			'on'  => esc_html__( 'Enable',  'laundry-dry-cleaning' ),
			'off' => esc_html__( 'Disable',  'laundry-dry-cleaning' ),
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'laundry_dry_cleaning_services_text_heading',
		'section'     => 'laundry_dry_cleaning_services_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Our Services', 'laundry-dry-cleaning' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'       => esc_html__( 'Short Title', 'laundry-dry-cleaning' ),
		'settings' => 'laundry_dry_cleaning_services_first_heading',
		'section'  => 'laundry_dry_cleaning_services_section',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'       => esc_html__( 'Main Heading', 'laundry-dry-cleaning' ),
		'settings' => 'laundry_dry_cleaning_services_heading',
		'section'  => 'laundry_dry_cleaning_services_section',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'laundry_dry_cleaning_services_category',
		'label'       => esc_html__( 'Select the category to show services ', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_services_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'laundry-dry-cleaning' ),
		'priority'    => 10,
		'choices'     => laundry_dry_cleaning_get_categories_select(),
	] );

	// FOOTER SECTION

	Kirki::add_section( 'laundry_dry_cleaning_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'laundry-dry-cleaning' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'laundry-dry-cleaning' ),
        'panel'          => 'laundry_dry_cleaning_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'laundry_dry_cleaning_footer_text_heading',
		'section'     => 'laundry_dry_cleaning_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'laundry-dry-cleaning' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'laundry_dry_cleaning_footer_text',
		'section'  => 'laundry_dry_cleaning_footer_section',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'laundry_dry_cleaning_footer_enable_heading',
		'section'     => 'laundry_dry_cleaning_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Footer Link', 'laundry-dry-cleaning' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'laundry_dry_cleaning_copyright_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_footer_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'laundry-dry-cleaning' ),
			'off' => esc_html__( 'Disable', 'laundry-dry-cleaning' ),
		],
	] );

		Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'laundry_dry_cleaning_footer_text_heading_2',
	'section'     => 'laundry_dry_cleaning_footer_section',
	'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Alignment', 'laundry-dry-cleaning' ) . '</h3>',
	'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'laundry_dry_cleaning_copyright_text_alignment',
		'label'       => esc_html__( 'Copyright text Alignment', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_footer_section',
		'default'     => 'LEFT-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'laundry-dry-cleaning' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'laundry-dry-cleaning' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'laundry-dry-cleaning' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'laundry-dry-cleaning' ),

		],
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'laundry_dry_cleaning_footer_text_heading_1',
	'section'     => 'laundry_dry_cleaning_footer_section',
	'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Background Color', 'laundry-dry-cleaning' ) . '</h3>',
	'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'laundry_dry_cleaning_copyright_bg',
		'label'       => __( 'Choose Your Copyright Background Color', 'laundry-dry-cleaning' ),
		'section'     => 'laundry_dry_cleaning_footer_section',
		'default'     => '',
	] );
}
