<?php

/**
* Get started notice
*/

add_action( 'wp_ajax_laundry_dry_cleaning_dismissed_notice_handler', 'laundry_dry_cleaning_ajax_notice_handler' );

function laundry_dry_cleaning_ajax_notice_handler() {
    if ( isset( $_POST['type'] ) ) {
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        update_option( 'dismissed-' . $type, TRUE );
    }
}

function laundry_dry_cleaning_deprecated_hook_admin_notice() {
        if ( ! get_option('dismissed-get_started', FALSE ) ) { ?>

            <?php
            $current_screen = get_current_screen();
				if ($current_screen->id !== 'appearance_page_laundry-dry-cleaning-guide-page') {
             $laundry_dry_cleaning_comments_theme = wp_get_theme(); ?>
            <div class="laundry-dry-cleaning-notice-wrapper updated notice notice-get-started-class is-dismissible" data-notice="get_started">
			<div class="laundry-dry-cleaning-notice">
				<div class="laundry-dry-cleaning-notice-img">
					<img src="<?php echo esc_url(get_template_directory_uri() . '/assets/images/admin-logo.png'); ?>" alt="<?php esc_attr_e('logo', 'laundry-dry-cleaning'); ?>">
				</div>
				<div class="laundry-dry-cleaning-notice-content">
					<div class="laundry-dry-cleaning-notice-heading"><?php esc_html_e('Thanks for installing ','laundry-dry-cleaning'); ?><?php echo esc_html( $laundry_dry_cleaning_comments_theme ); ?></div>
					<p><?php printf(__('In order to fully benefit from everything our theme has to offer, please make sure you visit our <a href="%s">For Premium Options</a>.', 'laundry-dry-cleaning'), esc_url(admin_url('themes.php?page=laundry-dry-cleaning-guide-page'))); ?></p>
				</div>
			</div>
		</div>
        <?php }
	}
}

add_action( 'admin_notices', 'laundry_dry_cleaning_deprecated_hook_admin_notice' );

add_action( 'admin_menu', 'laundry_dry_cleaning_getting_started' );
function laundry_dry_cleaning_getting_started() {
	add_theme_page( esc_html__('Get Started', 'laundry-dry-cleaning'), esc_html__('Get Started', 'laundry-dry-cleaning'), 'edit_theme_options', 'laundry-dry-cleaning-guide-page', 'laundry_dry_cleaning_test_guide');
}

function laundry_dry_cleaning_admin_enqueue_scripts() {
	wp_enqueue_style( 'laundry-dry-cleaning-admin-style', esc_url( get_template_directory_uri() ).'/css/main.css' );
	wp_enqueue_script( 'laundry-dry-cleaning-admin-script', get_template_directory_uri() . '/js/laundry-dry-cleaning-admin-script.js', array( 'jquery' ), '', true );
    wp_localize_script( 'laundry-dry-cleaning-admin-script', 'laundry_dry_cleaning_ajax_object',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
}
add_action( 'admin_enqueue_scripts', 'laundry_dry_cleaning_admin_enqueue_scripts' );

if ( ! defined( 'LAUNDRY_DRY_CLEANING_DOCS_FREE' ) ) {
define('LAUNDRY_DRY_CLEANING_DOCS_FREE',__('https://www.misbahwp.com/docs/laundry-dry-cleaning-free-docs/','laundry-dry-cleaning'));
}
if ( ! defined( 'LAUNDRY_DRY_CLEANING_DOCS_PRO' ) ) {
define('LAUNDRY_DRY_CLEANING_DOCS_PRO',__('https://www.misbahwp.com/docs/laundry-dry-cleaning-pro-docs','laundry-dry-cleaning'));
}
if ( ! defined( 'LAUNDRY_DRY_CLEANING_BUY_NOW' ) ) {
define('LAUNDRY_DRY_CLEANING_BUY_NOW',__('https://www.misbahwp.com/themes/dry-cleaning-wordpress-theme/','laundry-dry-cleaning'));
}
if ( ! defined( 'LAUNDRY_DRY_CLEANING_SUPPORT_FREE' ) ) {
define('LAUNDRY_DRY_CLEANING_SUPPORT_FREE',__('https://wordpress.org/support/theme/laundry-dry-cleaning','laundry-dry-cleaning'));
}
if ( ! defined( 'LAUNDRY_DRY_CLEANING_REVIEW_FREE' ) ) {
define('LAUNDRY_DRY_CLEANING_REVIEW_FREE',__('https://wordpress.org/support/theme/laundry-dry-cleaning/reviews/#new-post','laundry-dry-cleaning'));
}
if ( ! defined( 'LAUNDRY_DRY_CLEANING_DEMO_PRO' ) ) {
define('LAUNDRY_DRY_CLEANING_DEMO_PRO',__('https://www.misbahwp.com/demo/laundry-dry-cleaning/','laundry-dry-cleaning'));
}
if( ! defined( 'LAUNDRY_DRY_CLEANING_THEME_BUNDLE' ) ) {
define('LAUNDRY_DRY_CLEANING_THEME_BUNDLE',__('https://www.misbahwp.com/themes/wordpress-bundle/','laundry-dry-cleaning'));
}

function laundry_dry_cleaning_test_guide() { ?>
	<?php $laundry_dry_cleaning_theme = wp_get_theme(); ?>

	<div class="wrap" id="main-page">
		<div id="lefty">
			<div id="admin_links">
				<a href="<?php echo esc_url( LAUNDRY_DRY_CLEANING_DOCS_FREE ); ?>" target="_blank" class="blue-button-1"><?php esc_html_e( 'Documentation', 'laundry-dry-cleaning' ) ?></a>
				<a href="<?php echo esc_url( admin_url('customize.php') ); ?>" id="customizer" target="_blank"><?php esc_html_e( 'Customize', 'laundry-dry-cleaning' ); ?> </a>
				<a class="blue-button-1" href="<?php echo esc_url( LAUNDRY_DRY_CLEANING_SUPPORT_FREE ); ?>" target="_blank" class="btn3"><?php esc_html_e( 'Support', 'laundry-dry-cleaning' ) ?></a>
				<a class="blue-button-2" href="<?php echo esc_url( LAUNDRY_DRY_CLEANING_REVIEW_FREE ); ?>" target="_blank" class="btn4"><?php esc_html_e( 'Review', 'laundry-dry-cleaning' ) ?></a>
			</div>
			<div id="description">
				<h3><?php esc_html_e('Welcome! Thank you for choosing ','laundry-dry-cleaning'); ?><?php echo esc_html( $laundry_dry_cleaning_theme ); ?>  <span><?php esc_html_e('Version: ', 'laundry-dry-cleaning'); ?><?php echo esc_html($laundry_dry_cleaning_theme['Version']);?></span></h3>
				<img class="img_responsive" style="width:100%;" src="<?php echo esc_url( get_template_directory_uri() ); ?>/screenshot.png">
				<div id="description-insidee">
					<?php
						$laundry_dry_cleaning_theme = wp_get_theme();
						echo wp_kses_post( apply_filters( 'misbah_theme_description', esc_html( $laundry_dry_cleaning_theme->get( 'Description' ) ) ) );
					?>
				</div>
			</div>
		</div>

		<div id="righty">
			<div class="postboxx donate">
				<h3 class="hndle"><?php esc_html_e( 'Upgrade to Premium', 'laundry-dry-cleaning' ); ?></h3>
				<div class="insidee">
					<p><?php esc_html_e('Discover upgraded pro features with premium version click to upgrade.','laundry-dry-cleaning'); ?></p>
					<div id="admin_pro_links">
						<a class="blue-button-2" href="<?php echo esc_url( LAUNDRY_DRY_CLEANING_BUY_NOW ); ?>" target="_blank"><?php esc_html_e( 'Go Pro', 'laundry-dry-cleaning' ); ?></a>
						<a class="blue-button-1" href="<?php echo esc_url( LAUNDRY_DRY_CLEANING_DEMO_PRO ); ?>" target="_blank"><?php esc_html_e( 'Live Demo', 'laundry-dry-cleaning' ) ?></a>
						<a class="blue-button-2" href="<?php echo esc_url( LAUNDRY_DRY_CLEANING_DOCS_PRO ); ?>" target="_blank"><?php esc_html_e( 'Pro Docs', 'laundry-dry-cleaning' ) ?></a>
					</div>
				</div>
				<h3 class="hndle bundle"><?php esc_html_e( 'Go For Theme Bundle', 'laundry-dry-cleaning' ); ?></h3>
				<div class="insidee theme-bundle">
					<p class="offer"><?php esc_html_e('Get Our Theme Pack of 80+ WordPress Themes At 15% Off','laundry-dry-cleaning'); ?><span class="coupon-code"><?php esc_html_e('"Bundleup15"','laundry-dry-cleaning'); ?></span></p>
					<div id="admin_pro_linkss">
						<a class="blue-button-1" href="<?php echo esc_url( LAUNDRY_DRY_CLEANING_THEME_BUNDLE ); ?>" target="_blank"><?php esc_html_e( 'Theme Bundle', 'laundry-dry-cleaning' ) ?></a>
					</div>
				</div>
				<div class="d-table">
			    <ul class="d-column">
			      <li class="feature"><?php esc_html_e('Features','laundry-dry-cleaning'); ?></li>
			      <li class="free"><?php esc_html_e('Pro','laundry-dry-cleaning'); ?></li>
			      <li class="plus"><?php esc_html_e('Free','laundry-dry-cleaning'); ?></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('24hrs Priority Support','laundry-dry-cleaning'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Kirki Framework','laundry-dry-cleaning'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Posttype','laundry-dry-cleaning'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('One Click Demo Import','laundry-dry-cleaning'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Reordering','laundry-dry-cleaning'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Enable / Disable Option','laundry-dry-cleaning'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Multiple Sections','laundry-dry-cleaning'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Color Pallete','laundry-dry-cleaning'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Widgets','laundry-dry-cleaning'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Page Templates','laundry-dry-cleaning'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Typography','laundry-dry-cleaning'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Background Image / Color ','laundry-dry-cleaning'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
	  		</div>
			</div>
		</div>
	</div>

<?php } ?>
